<div align="center">
  <h1 align="center">TTime</h3>
  <p align="center">Time Tracking Platform</p>
</div>

---

## Introduction

A time tracking platform that allows users to track their time and generate reports.

## Build Instructions

Dependencies:

- [Go](https://go.dev/)
- Make
- [Node & npm](https://nodejs.org/en/)
- [Podman](https://podman.io/) / [Docker](https://www.docker.com/)
- (Optional) [Just](https://github.com/casey/just)

If you're on [Fedora](https://fedoraproject.org/)/Red Hat derivatives, this is as simple as:

```bash
sudo dnf install -y make golang nodejs podman just
```

Any Debian/Ubuntu-based distro:

```bash
sudo apt install -y make golang nodejs podman
sudo apt install -y just # For Ubuntu
```

Arch Linux & derivatives:

```bash
sudo pacman -S make go nodejs npm podman just
```

More detailed build instructions [here](./BUILD.md).
